\begin{corollary}
  There is a contravariant equivalence $\Phi$ of categories between
  \begin{enumerate}
  \item affine algebraic sets and morphisms
  \item reduced finitely generated $k$-algebras and $k$-algebra morphisms
    \begin{align*}
      \Phi \colon \qquad \qquad \qquad V \longrightarrow & k[V] \\
                  (f\colon V_1 \rightarrow V_2) \longmapsto &(f^\ast \colon k[V_2] \rightarrow k[V_1] )
    \end{align*}
    where $f^\ast(g)=g \circ f$ and $g \circ f$ is given as follows
    \[\begin{tikzcd}[column sep=small]
    V_1 \arrow{rr}{f} \arrow[dotted, swap]{dr}{g \circ f\in k[V_1]} & & V_2 \arrow{dl}{g \in k[V_2]} \\
    & k &
    \end{tikzcd}\]
  \end{enumerate}
	\begin{proof} $ $ \newline
	  \textbf{$\Phi$ is essentially surjective.}
	  
	  Let $R$ be a reduced finitely generated $k$-algebra.
	  Then we have $R \cong k[x_1,\dotsc,x_n]/I$. The ideal
	  $I$ must be radical since $R$ is reduced.
	
	  \textbf{$\Phi$ is faithful.}
	  
	  All morphisms can be lifted. We have the following commutative diagram where both rows are exact
	  \[\begin{tikzcd}[column sep=small]
	  0 \arrow{r} & I(V_2) \arrow{r} & k[y_1, \dots , y_n] \arrow{r}{\pi_2} \arrow{d}{\hat \varphi} & k[V_2] \arrow{r} \arrow{d}{\varphi} & 0 \\
	  0 \arrow{r} & I(V_1) \arrow{r} & k[x_1, \dots , x_m] \arrow{r}{\pi_1} & k[V_1] \arrow{r} & 0
	  \end{tikzcd}\]
	  Let $\varphi \colon k[V_2] \to k[V_1]$. Then there is a map $\hat \varphi \colon k[y_1, \dots , y_n] \to k[x_1, \dots , x_m]$ by just sending $y_i$ to an arbitrary preimage of $\varphi \circ \pi_2 (y_i)$. Set $\varphi_* \colon V_1 \to V_2$ as $\phi_*=(\hat \varphi(y_1), \dots , \hat \varphi (y_n))$. 
	  
	  We need to show that $\phi_*(V_1) \subset V_2$. Let $x \in V_1$ and $g \in I(V_2)$. Then \[g(\varphi_*(x))=g(\hat \varphi (y_1)(x), \dots , \hat \varphi (y_n)(x))=g(\hat \varphi (y_1), \dots , \hat \varphi(y_n))(x) = \hat \varphi (g)(x) \,.\]
	  
	  By definition, $\phi(\ker \pi_2) \subset \ker \pi_1$ which implies $\hat \varphi (g)(x)=0$ and therefore $\phi_*(x) \in V_2$
		
	
	  \textbf{$\Phi$ is full.}
	  
	  There are multiple choices of $\hat \phi$ but the difference of two different choices is in $\ker \pi_2=I(V_1)$ which means that there is no difference for $x \in V_1$.
	\end{proof}
\end{corollary}

\section{Projective Varieties}

\begin{definition}[projective space]
  Let $\PR^n_k := (k^{n+1} \setminus \{0\}) / \sim$, where the relation ``$\sim$'' is given by $(x_0,\dotsc,x_{n}) \sim (y_0,\dotsc,y_{n}) \iff \exists \lambda \in k \setminus \{0\} \colon \forall i  \colon x_i = y_i$ be the \textbf{projective space}. The
  equivalence class of $(x_0,\dotsc,x_n)$ will be written as $[x_0,\dotsc,x_n]$ and are called \textbf{homogeneous coordinates}.
\end{definition}
\begin{remark}~
  \begin{enumerate}
  \item \qquad
    $\begin{aligned}[t]
      \PR_k^n \, \cong & \{ \, \text{ lines in } k^{n+1} \text{ through } 0\,\} \\
      [x_0,\dotsc,x_n] \mapsto & \{\, \lambda (x_0,\dotsc,x_n) \mid \lambda \in k\,\}
    \end{aligned}$
  \item \qquad
    $\begin{aligned}[t]
      U_i = \{\, [x_0,\dotsc,x_n) \mid x_i \neq 0 \,\} &\xrightarrow{\sim} k^n \\
      [x_0,\dotsc,x_n] & \mapsto \frac{1}{x_i}(x_0,\dotsc,\hat{x_i},\dotsc,x_n)
    \end{aligned}$
  \end{enumerate}
\end{remark}
  Intuitively:
  $\PR_k^n = U_0 \cup \{\text{ points at infinity }\} \cong k^n \cup \PR_k^{n-1}$

\begin{definition}[homogeneous]
	We say that an element $f \in k[x_0,\dotsc,x_n]$ is \textbf{homogeneous} if $f(\lambda(x_0,\dotsc,x_n)) = \lambda^{\deg f}f(x_0,\dotsc,x_n)$ for all $\lambda \in k$.
	
	We call an ideal $I$ homogeneous if \[I = \bigoplus_{d \geq 0} I \cap k[x_0,\dotsc,x_n]_d = \bigoplus_{d \geq 0} I_d\] or equivalently, if $I$ is generated by homogeneous polynomials.
\end{definition}
\begin{definition}[projective algebraic set]
  For a homogeneous ideal $I$ we define the \textbf{projective algebraic set} as \[V(I) := \{\, x \in \PR^n \mid f(x) = 0 \text{ for all } f \in I\,\}.\]
\end{definition}
\begin{proposition}[Zariski topology]
	$\{V(I)\}_{I \text{ ideal in } k[x_0,\dots,x_n]}$ as closed sets form a topology on $\PR^n$, the \textbf{Zariski topology}.
\end{proposition}
\begin{definition}[projective varities]
	Irreducible projective algebraic sets are called \textbf{projective varieties}.
\end{definition}

\begin{definition}[vanishing ideal] Let $V \subset \PR^n$. Define
	 \[I(V) = \setdef{f \in k[x_0, \dots, x_n] \text{homogenous}}{f(x)=0 \text{ for all }x \in V}\,,\]
	the \textbf{vanishing ideal of $V$}.
\end{definition}
\begin{theorem}
  There is a one-to-one correspondence \[\begin{tikzcd} \{\text{algebraic sets in } \PR^n_k \} \arrow[xshift=-4,swap]{d}{I} \\ 
  \{\text{radical homogeneous ideals in } k[x_1,\dotsc,x_n] \text{ except } (x_1,\dotsc,x_n)\} \arrow[xshift=4,swap]{u}{V} \end{tikzcd} \,.\]
\end{theorem}
\begin{proof}
  Idea: Reduce to the correspondence for $k^{n+1}$.

  Let $\ai \subseteq k[x_0,\dotsc,x_n]$  be homogeneous.
  Then $V(\ai) \subseteq \PR_k^n$.
  Define $\tilde{V}(\ai) = \{ x \in k^{n+1} \mid f(x) = 0 \text{ for all } f \in \ai\}$
  There are three cases
  \begin{enumerate}
  \item
    If $V(\ai) = \emptyset$ but $\tilde{V}(\ai) = \{0\}$ then $I(\tilde{V}(\ai)) = (x_0,\dotsc,x_n) = \sqrt{\ai}$ which is excluded.
  \item
    If $V(\ai) = \emptyset$ and $\tilde{V}(\ai) = \emptyset$, then $I(V(\ai)) = k[x_0,\dotsc,x_n] = I(\tilde{V}(\ai))$.
  \item If $V(\ai) \neq \emptyset$, then $\tilde{V}(\ai) \neq \emptyset$.
    Then $f$ is homogeneous vanishes on $\tilde{V}(\ai) \iff f$ vanishes on $V(\ai)$, and also $I(\tilde{V}(\ai)) = \sqrt{\ai}$ is homogeneous.
  \end{enumerate}
  Therefore $I(V(\ai)) = I(\tilde{V}(\ai)) = \sqrt{\ai}$, and $I \circ V \mid_{\{\text{radical homogeneous ideals}\}} = \id$, and since $V$ is surjective the statement follows.
\end{proof}
Let $f$ be an irreducible polynomial in $k[x,y,z]$ of degree $2$. We have that $V(f) \subseteq \PR_k^2$

There exists a bijection \begin{align*}
F\colon V(f) &\xrightarrow{\sim} \PR^1_k \\ 
Q &\mapsto \overline{QP_0} \in \PR_k^1 \\ 
P_0 &\mapsto \text{ tangent line at }P_0
\end{align*}

Now, we want to work in coordinates: $f = xz - y^2$, $P_0 = [0,0,1]$, $U = \{z \neq 0\} \cong k^2$.
In chart $U$, $f=0 \iff x-y^2 = 0$.
$F(x,y) = [x,y] \in \PR_k^1$.
First try:
$F([x,y,z]) = [x,y]$.
This does the job, but is not defined at $P_0 = (0,0,1)$.
Second try:
$[x,y] = [x/y,1]$.
If $y\neq 0$ and $z \neq 0$, then $xz - y^2 = 0 \iff x/y = y/z$, therefore $[x,y] = [x/y,1] = [y/z,1] = [y,z]$.
$F([x,y,z]) = [y,z]$ does the job, but is not defined at $[1,0,0] \in \PR_k^2$.

Fact: There is no nonconstant globally defined morphism $\PR^2 \rightarrow \PR^1$

Upshot: Define morphism locally, and glue them on the overlap.
This is going to be the next topic.

\chapter{Sheaves}
\section{Basic Constructions and Sheafification}
Let $X$ be a topological space.
\begin{definition}[presheaf]
  A \textbf{presheaf} in sets on $X$ is a contravariant functor
  \begin{equation*}
    \F \colon \operatorname{T}^{\operatorname{op}} \longrightarrow \Set
  \end{equation*}
  where $T$ is the category with open subsets in $X$ being the objects and inclusions are the morphisms.
  
  We will write $r_{U_2U_1}$ for the image of the inclusion $U_1 \subset U_2$ under $\F$.
  For $s \in \F(U_2)$ we write $\res{s}{U_1} = r_{U_2U_1}(s)$.
\end{definition}

\begin{example}~
  \begin{enumerate}
  \item
    $A(U) = \Q$ for all $U$, $r_{U_2U_1} = \id_\Q$
  \item
    $X = \R^n$ (or a manifold), $C^0 (U) = \{\text{continuous functions } U\rightarrow \R\}$, $C^\infty (U) = \{\text{smooth functions } U \rightarrow \R\}$.
  \end{enumerate}
  These are presheaves of rings
\end{example}

\begin{definition}[sheaf]
  A presheaf $\F$ is a \textbf{sheaf} if
  \begin{itemize}
  \item (Uniqueness) Let
    $U \subseteq X$ be open, $\{U_i\}_{i \in I}$ an open cover of $U$.
    If $s,t \in \F(U)$ and $\res{s}{U_i} = \res{t}{U_i}$ for all $i \in I$, then $s = t \in \F(U)$.
  \item (Gluing)
    Let $U \subseteq X$ be open, $\{U_i\}_{i \in I}$ and open cover of $U$.
    Given $s_i \in \F(U_i)$ for all $i$ such that $\res{s_i}{U_i \cap U_j} = \res{s_j}{U_i \cap U_j}$ for all $i,j$, then there exists an $s \in \F(U)$ such tat $\res{s}{U_i} = s_i$ for all $i$.
  \end{itemize}
\end{definition}
%%% Local Variables:
%%% mode: latex
%%% TeX-master: "alggeo_master"
%%% End:
